Get Action Runs By Action Id

Get Action Runs By Action Id
Fetch all action runs of an action

Retrieves all action runs of an action

Request
URI
GET
https://vcfa-10-162-161-9.vcfd.broadcom.net/abx/api/resources/actions/{id}/action-runs
COPY
Path Parameters
string
id
Required

ID of the action

Query Parameters
page
Optional

Page to fetch (starting from 0)

size
Optional

Amount of entities per page


Authentication
This operation uses the following authentication methods.
Responses
200

Paged result of all action runs

Returns PageActionRun of type(s) */*
{
    "totalPages": 0,
    "totalElements": 0,
    "pageable": {
        "paged": false,
        "pageNumber": 0,
        "pageSize": 0,
        "offset": 0,
        "sort": {
            "sorted": false,
            "empty": false,
            "unsorted": false
        },
        "unpaged": false
    },
    "size": 0,
    "content": [
        {
            "id": "string",
            "name": "string",
            "createdMillis": 0,
            "orgId": "string",
            "runState": "string",
            "actionId": "string",
            "actionType": "string",
            "inputs": {},
            "outputs": {},
            "errorMessage": "string",
            "logs": "string",
            "triggeredBy": "string",
            "endTimeMillis": 0,
            "startTimeMillis": 0,
            "runtime": "string",
            "provider": "string",
            "source": "string",
            "timeoutSeconds": 0,
            "projectId": "string",
            "runProjectId": "string",
            "scalable": false,
            "actionVersionId": "string",
            "actionVersionName": "string",
            "configuration": {},
            "system": false
        }
    ],
    "number": 0,
    "sort": {
        "sorted": false,
        "empty": false,
        "unsorted": false
    },
    "numberOfElements": 0,
    "first": false,
    "last": false,
    "empty": false
}

401

Unauthorized to make the request

Returns PageActionRun of type(s) */*
{
    "totalPages": 0,
    "totalElements": 0,
    "pageable": {
        "paged": false,
        "pageNumber": 0,
        "pageSize": 0,
        "offset": 0,
        "sort": {
            "sorted": false,
            "empty": false,
            "unsorted": false
        },
        "unpaged": false
    },
    "size": 0,
    "content": [
        {
            "id": "string",
            "name": "string",
            "createdMillis": 0,
            "orgId": "string",
            "runState": "string",
            "actionId": "string",
            "actionType": "string",
            "inputs": {},
            "outputs": {},
            "errorMessage": "string",
            "logs": "string",
            "triggeredBy": "string",
            "endTimeMillis": 0,
            "startTimeMillis": 0,
            "runtime": "string",
            "provider": "string",
            "source": "string",
            "timeoutSeconds": 0,
            "projectId": "string",
            "runProjectId": "string",
            "scalable": false,
            "actionVersionId": "string",
            "actionVersionName": "string",
            "configuration": {},
            "system": false
        }
    ],
    "number": 0,
    "sort": {
        "sorted": false,
        "empty": false,
        "unsorted": false
    },
    "numberOfElements": 0,
    "first": false,
    "last": false,
    "empty": false
}

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/abx/api/resources/actions/{id}/action-runs